; Assembler include file for Tasking DSP56xxx tools
;
; Generated from: reg56321.h	1.2 01/10/17
; By:             sfr_h2asm.perl	1.11 99/01/28
;
; Copyright (c) 1995-98 TASKING, Inc.

	IF	!@DEF('SFR_DEFINED')
	define	SFR_DEFINED	'1'

OGDBR   	equ	x:$FFFFFC		;  OnCE GDB Register

; Masks for  Port A Bus Control Register

BA0W    	equ	0		;  0: Area 0 Waitstates
BA0W_MASK	equ	$00001f
BA1W    	equ	5		;  5: Area 1 Waitstates
BA1W_MASK	equ	$0003e0
BA2W    	equ	10		; 10: Area 2 Waitstates
BA2W_MASK	equ	$001c00
BA3W    	equ	13		; 13: Area 3 Waitstates
BA3W_MASK	equ	$00e000
BDFW    	equ	16		; 16: Default Area Waitstates
BDFW_MASK	equ	$1f0000
BBS     	equ	21		; 21: Bus State
BBS_MASK	equ	$200000
BLH     	equ	22		; 22: Bus Lock Hold
BLH_MASK	equ	$400000
BRH     	equ	23		; 23: Bus Request Hold
BRH_MASK	equ	$800000

; Masks for  Port A Address Attribute Register

BAT     	equ	0		;  0: Bus Access Type
BAT_MASK	equ	$000003
BAAP    	equ	2		;  2: Bus Address Attribute Polarity
BAAP_MASK	equ	$000004
BPEN    	equ	3		;  3: Bus Program Memory Enable
BPEN_MASK	equ	$000008
BXEN    	equ	4		;  4: Bus X Data Memory Enable
BXEN_MASK	equ	$000010
BYEN    	equ	5		;  5: Bus Y Data Memory Enable
BYEN_MASK	equ	$000020
					;  6: Reserved
BPAC    	equ	7		;  7: Bus Packing Enable
BPAC_MASK	equ	$000080
BNC     	equ	8		;  8: Bus Number of Address Bits to Compare
BNC_MASK	equ	$000f00
BAC     	equ	12		; 12: Bus Address to Compare
BAC_MASK	equ	$fff000

BCR     	equ	x:$FFFFFB		;  Port A Bus Control Register
AAR0    	equ	x:$FFFFF9		;  Port A Address Attribute Register 0
AAR1    	equ	x:$FFFFF8		;  Port A Address Attribute Register 1
AAR2    	equ	x:$FFFFF7		;  Port A Address Attribute Register 2
AAR3    	equ	x:$FFFFF6		;  Port A Address Attribute Register 3
IDR     	equ	x:$FFFFF5		;  Port A ID Register

; Masks for  DMA Status Register

DTD0    	equ	0		;  0: DMA Channel 0 Transfer Done Status
DTD0_MASK	equ	$000001
DTD1    	equ	1		;  1: DMA Channel 1 Transfer Done Status
DTD1_MASK	equ	$000002
DTD2    	equ	2		;  2: DMA Channel 2 Transfer Done Status
DTD2_MASK	equ	$000004
DTD3    	equ	3		;  3: DMA Channel 3 Transfer Done Status
DTD3_MASK	equ	$000008
DTD4    	equ	4		;  4: DMA Channel 4 Transfer Done Status
DTD4_MASK	equ	$000010
DTD5    	equ	5		;  5: DMA Channel 5 Transfer Done Status
DTD5_MASK	equ	$000020
					;  6: Reserved
DACT    	equ	8		;  8: DMA Active
DACT_MASK	equ	$000100
DCH     	equ	9		;  9: DMA Active Channel
DCH_MASK	equ	$000e00
					; 12: Reserved

; Masks for  DMA Control Register

DSS     	equ	0		;  0: DMA Source Space
DSS_MASK	equ	$000003
DDS     	equ	2		;  2: DMA Destination Space
DDS_MASK	equ	$00000c
DAM     	equ	4		;  4: DMA Address Mode
DAM_MASK	equ	$0003f0
D3D     	equ	10		; 10: DMA Three Dimensional Mode
D3D_MASK	equ	$000400
DRS     	equ	11		; 11: DMA Request Source
DRS_MASK	equ	$00f800
DCON    	equ	16		; 16: DMA Continuous Mode Enable
DCON_MASK	equ	$010000
DPR     	equ	17		; 17: DMA Channel Priority
DPR_MASK	equ	$060000
DTM     	equ	19		; 19: DMA Transfer Mode
DTM_MASK	equ	$380000
DIE     	equ	22		; 22: DMA Interrupt Enable
DIE_MASK	equ	$400000
DE      	equ	23		; 23: DMA Channel Enable
DE_MASK 	equ	$800000

DSTR    	equ	x:$FFFFF4		;  DMA Status Register
DOR0    	equ	x:$FFFFF3		;  DMA Offset Register 0
DOR1    	equ	x:$FFFFF2		;  DMA Offset Register 1
DOR2    	equ	x:$FFFFF1		;  DMA Offset Register 2
DOR3    	equ	x:$FFFFF0		;  DMA Offset Register 3
DSR0    	equ	x:$FFFFEF		;  DMA Source Address Reg. 0
DDR0    	equ	x:$FFFFEE		;  DMA Destination Address Reg. 0
DCO0    	equ	x:$FFFFED		;  DMA Counter 0
DCR0    	equ	x:$FFFFEC		;  DMA Control Register 0
DSR1    	equ	x:$FFFFEB		;  DMA Source Address Reg. 1
DDR1    	equ	x:$FFFFEA		;  DMA Destination Address Reg. 1
DCO1    	equ	x:$FFFFE9		;  DMA Counter 1
DCR1    	equ	x:$FFFFE8		;  DMA Control Register 1
DSR2    	equ	x:$FFFFE7		;  DMA Source Address Reg. 2
DDR2    	equ	x:$FFFFE6		;  DMA Destination Address Reg. 2
DCO2    	equ	x:$FFFFE5		;  DMA Counter 2
DCR2    	equ	x:$FFFFE4		;  DMA Control Register 2
DSR3    	equ	x:$FFFFE3		;  DMA Source Address Reg. 3
DDR3    	equ	x:$FFFFE2		;  DMA Destination Address Reg. 3
DCO3    	equ	x:$FFFFE1		;  DMA Counter 3
DCR3    	equ	x:$FFFFE0		;  DMA Control Register 3
DSR4    	equ	x:$FFFFDF		;  DMA Source Address Reg. 4
DDR4    	equ	x:$FFFFDE		;  DMA Destination Address Reg. 4
DCO4    	equ	x:$FFFFDD		;  DMA Counter 4
DCR4    	equ	x:$FFFFDC		;  DMA Control Register 4
DSR5    	equ	x:$FFFFDB		;  DMA Source Address Reg. 5
DDR5    	equ	x:$FFFFDA		;  DMA Destination Address Reg. 5
DCO5    	equ	x:$FFFFD9		;  DMA Counter 5
DCR5    	equ	x:$FFFFD8		;  DMA Control Register 5

; Masks for  DPLL Clock Control Register

					;  0: Reserved
PSTP    	equ	1		;  1: DPLL Stop State Control
PSTP_MASK	equ	$000002
XTLD    	equ	2		;  2: XTAL Disable
XTLD_MASK	equ	$000004
PEN     	equ	3		;  3: DPLL Enable
PEN_MASK	equ	$000008
DF      	equ	4		;  4: Division Factor
DF_MASK 	equ	$000070
					;  7: Reserved

; Masks for  DPLL Static Control Register

MFI     	equ	0		;  0: Multiplication Factor Integer
MFI_MASK	equ	$00000f
MFN     	equ	4		;  4: Multiplication Factor Numerator
MFN_MASK	equ	$0007f0
MFD     	equ	11		; 11: Multiplication Factor Denominator
MFD_MASK	equ	$03f800
PDF     	equ	18		; 18: Pre-Division Factor
PDF_MASK	equ	$3c0000
PLM     	equ	22		; 22: Phase Lock Mode
PLM_MASK	equ	$400000
BRM0    	equ	23		; 23: Binary Rate Modulation Order
BRM0_MASK	equ	$800000

DCCR    	equ	x:$FFFFD1		;  DPLL Clock Control Register
DSCR    	equ	x:$FFFFD0		;  DPLL Static Control Register
HDR     	equ	x:$FFFFC9		;  Host GPIO Data Register
HDDR    	equ	x:$FFFFC8		;  Host GPIO Data Direction Reg.

; Masks for  Host Control Register

HRIE    	equ	0		;  0: Host Receive Interrupt Enable
HRIE_MASK	equ	$000001
HTIE    	equ	1		;  1: Host Transmit Interrupt Enable
HTIE_MASK	equ	$000002
HCIE    	equ	2		;  2: Host Command Interrupt Enable
HCIE_MASK	equ	$000004
HF2     	equ	3		;  3: Host Flag 2
HF2_MASK	equ	$000008
HF3     	equ	4		;  4: Host Flag 3
HF3_MASK	equ	$000010
					;  5: Reserved

; Masks for  Host Status Register

HRDF    	equ	0		;  0: Host Receive Data Full
HRDF_MASK	equ	$000001
HTDE    	equ	1		;  1: Host Transmit Data Empty
HTDE_MASK	equ	$000002
HCP     	equ	2		;  2: Host Command Pending
HCP_MASK	equ	$000004
HF0     	equ	3		;  3: Host Flag 0
HF0_MASK	equ	$000008
HF1     	equ	4		;  4: Host Flag 1
HF1_MASK	equ	$000010
					;  5: Reserved

; Masks for  Host Port Control Register

HGEN    	equ	0		;  0: Host GPIO Port Enable
HGEN_MASK	equ	$000001
HA8EN   	equ	1		;  1: Host Address Line 8 Enable
HA8EN_MASK	equ	$000002
HA9EN   	equ	2		;  2: Host Address Line 9 Enable
HA9EN_MASK	equ	$000004
HCSEN   	equ	3		;  3: Host Chip Select Enable
HCSEN_MASK	equ	$000008
HREN    	equ	4		;  4: Host Request Enable
HREN_MASK	equ	$000010
HAEN    	equ	5		;  5: Host Acknowledge Enable
HAEN_MASK	equ	$000020
HEN     	equ	6		;  6: Host Enable
HEN_MASK	equ	$000040
					;  7: Reserved
HROD    	equ	8		;  8: Host Request Open Drain
HROD_MASK	equ	$000100
HDSP    	equ	9		;  9: Host Data Strobe Polarity
HDSP_MASK	equ	$000200
HASP    	equ	10		; 10: Host Address Strobe Polarity
HASP_MASK	equ	$000400
HMUX    	equ	11		; 11: Host Multiplexed Bus
HMUX_MASK	equ	$000800
HDDS    	equ	12		; 12: Host Dual Data Strobe
HDDS_MASK	equ	$001000
HCSP    	equ	13		; 13: Host Chip Select Polarity
HCSP_MASK	equ	$002000
HRP     	equ	14		; 14: Host Request Polarity
HRP_MASK	equ	$004000
HAP     	equ	15		; 15: Host Acknowledge Polarity
HAP_MASK	equ	$008000

HTX     	equ	x:$FFFFC7		;  Host Data Transmit Reg.
HRX     	equ	x:$FFFFC6		;  Host Data Receive Reg.
HBAR    	equ	x:$FFFFC5		;  Host Base Address Reg.
HPCR    	equ	x:$FFFFC4		;  Host Port Control Reg.
HSR     	equ	x:$FFFFC3		;  Host Status Register
HCR     	equ	x:$FFFFC2		;  Host Control Register
PCRC    	equ	x:$FFFFBF		;  Port C Control Register
PRRC    	equ	x:$FFFFBE		;  Port C Direction Register
PDRC    	equ	x:$FFFFBD		;  Port C GPIO Data Register

; Masks for  ESSI Control Register A

PM      	equ	0		;  0: Prescale Modulus Select
PM_MASK 	equ	$0000ff
					;  8: Reserved
PSR     	equ	11		; 11: Prescale Range
PSR_MASK	equ	$000800
DC      	equ	12		; 12: Frame Rate Divider Control
DC_MASK 	equ	$01f000
					; 17: Reserved
ALC     	equ	18		; 18: Alignment Control
ALC_MASK	equ	$040000
WL      	equ	19		; 19: Word Length Control
WL_MASK 	equ	$380000
SSC1    	equ	22		; 22: Select SC1
SSC1_MASK	equ	$400000
					; 23: Reserved

; Masks for  ESSI Control Register B

OF0     	equ	0		;  0: Serial Output Flag 0
OF0_MASK	equ	$000001
OF1     	equ	1		;  1: Serial Output Flag 1
OF1_MASK	equ	$000002
SCD0    	equ	2		;  2: Serial Control 0 Direction
SCD0_MASK	equ	$000004
SCD1    	equ	3		;  3: Serial Control 1 Direction
SCD1_MASK	equ	$000008
SCD2    	equ	4		;  4: Serial Control 2 Direction
SCD2_MASK	equ	$000010
SCKD    	equ	5		;  5: Clock Source Direction
SCKD_MASK	equ	$000020
SHFD    	equ	6		;  6: Shift Direction
SHFD_MASK	equ	$000040
FSL0    	equ	7		;  7: Frame Sync Length 0
FSL0_MASK	equ	$000080
FSL1    	equ	8		;  8: Frame Sync Length 1
FSL1_MASK	equ	$000100
FSR     	equ	9		;  9: Frame Sync Relative Timing
FSR_MASK	equ	$000200
FSP     	equ	10		; 10: Frame Sync Polarity
FSP_MASK	equ	$000400
CKP     	equ	11		; 11: Clock Polarity
CKP_MASK	equ	$000800
SYN     	equ	12		; 12: Sync/Async Control
SYN_MASK	equ	$001000
MOD     	equ	13		; 13: Mode Select
MOD_MASK	equ	$002000
TE2     	equ	14		; 14: Transmit #2 Enable
TE2_MASK	equ	$004000
TE1     	equ	15		; 15: Transmit #1 Enable
TE1_MASK	equ	$008000
TE0     	equ	16		; 16: Transmit #0 Enable
TE0_MASK	equ	$010000
SRE     	equ	17		; 17: ESSI Receive Enable
SRE_MASK	equ	$020000
STIE    	equ	18		; 18: ESSI Transmit Interrupt Enable
STIE_MASK	equ	$040000
SRIE    	equ	19		; 19: ESSI Receive Interrupt Enable
SRIE_MASK	equ	$080000
TLIE    	equ	20		; 20: ESSI Transmit Last Slot Int. Enable
TLIE_MASK	equ	$100000
RLIE    	equ	21		; 21: ESSI Receive Last Slot Int. Enable
RLIE_MASK	equ	$200000
TEIE    	equ	22		; 22: ESSI Transmit Exception Int. Enable
TEIE_MASK	equ	$400000
REIE    	equ	23		; 23: ESSI Receive Exception Int. Enable
REIE_MASK	equ	$800000

; Masks for  ESSI Status Register

IF0     	equ	0		;  0: Serial Input Flag 0
IF0_MASK	equ	$000001
IF1     	equ	1		;  1: Serial Input Flag 1
IF1_MASK	equ	$000002
TFS     	equ	2		;  2: Transmit Frame Sync
TFS_MASK	equ	$000004
RFS     	equ	3		;  3: Receive Frame Sync
RFS_MASK	equ	$000008
TUE     	equ	4		;  4: Transmitter Underrun Error
TUE_MASK	equ	$000010
ROE     	equ	5		;  5: Receiver Overrun Error
ROE_MASK	equ	$000020
TDE     	equ	6		;  6: Transmit Data Register Empty
TDE_MASK	equ	$000040
RDF     	equ	7		;  7: Receive Data Register Full
RDF_MASK	equ	$000080
					;  8: Reserved

TX00    	equ	x:$FFFFBC		;  Transmit Data Reg. 0
TX01    	equ	x:$FFFFBB		;  Transmit Data Reg. 1
TX02    	equ	x:$FFFFBA		;  Transmit Data Reg. 2
TSR0    	equ	x:$FFFFB9		;  Time Slot Register
RX0     	equ	x:$FFFFB8		;  Receive Data Register
SSISR0  	equ	x:$FFFFB7		;  Status Register
CRB0    	equ	x:$FFFFB6		;  Control Register B
CRA0    	equ	x:$FFFFB5		;  Control Register A
TSMA0   	equ	x:$FFFFB4		;  Transmit Slot Mask Reg A
TSMB0   	equ	x:$FFFFB3		;  Transmit Slot Mask Reg B
RSMA0   	equ	x:$FFFFB2		;  Receive Slot Mask Reg A
RSMB0   	equ	x:$FFFFB1		;  Receive Slot Mask Reg B
PCRD    	equ	x:$FFFFAF		;  Port D Control Register
PRRD    	equ	x:$FFFFAE		;  Port D Direction Reg.
PDRD    	equ	x:$FFFFAD		;  Port D GPIO Data Reg.
TX10    	equ	x:$FFFFAC		;  Transmit Data Reg. 0
TX11    	equ	x:$FFFFAB		;  Transmit Data Reg. 1
TX12    	equ	x:$FFFFAA		;  Transmit Data Reg. 2
TSR1    	equ	x:$FFFFA9		;  Time Slot Register
RX1     	equ	x:$FFFFA8		;  Receive Data Register
SSISR1  	equ	x:$FFFFA7		;  Status Register
CRB1    	equ	x:$FFFFA6		;  Control Register B
CRA1    	equ	x:$FFFFA5		;  Control Register A
TSMA1   	equ	x:$FFFFA4		;  Transmit Slot Mask Reg A
TSMB1   	equ	x:$FFFFA3		;  Transmit Slot Mask Reg B
RSMA1   	equ	x:$FFFFA2		;  Receive Slot Mask Reg A
RSMB1   	equ	x:$FFFFA1		;  Receive Slot Mask Reg B
PCRE    	equ	x:$FFFF9F		;  Port E Control Register
PRRE    	equ	x:$FFFF9E		;  Port E Direction Reg.
PDRE    	equ	x:$FFFF9D		;  Port E GPIO Data Reg.

; Masks for  SCI Control Register

WDS     	equ	0		;  0: Word select 0-2
WDS_MASK	equ	$000007
SSFTD   	equ	3		;  3: SCI Shift direction
SSFTD_MASK	equ	$000008
SBK     	equ	4		;  4: Send Break
SBK_MASK	equ	$000010
WAKE    	equ	5		;  5: Wake-up Mode Select
WAKE_MASK	equ	$000020
RWU     	equ	6		;  6: Receiver Wake-up Enable
RWU_MASK	equ	$000040
WOMS    	equ	7		;  7: Wired-OR Mode Select
WOMS_MASK	equ	$000080
RE      	equ	8		;  8: Receiver Enable
RE_MASK 	equ	$000100
TE      	equ	9		;  9: Transmitter Enable
TE_MASK 	equ	$000200
ILIE    	equ	10		; 10: Idle Line Interrupt Enable
ILIE_MASK	equ	$000400
RIE     	equ	11		; 11: SCI Receive Interrupt Enable
RIE_MASK	equ	$000800
TIE     	equ	12		; 12: SCI Transmit Interrupt Enable
TIE_MASK	equ	$001000
TMIE    	equ	13		; 13: Timer Interrupt Enable
TMIE_MASK	equ	$002000
STIR    	equ	14		; 14: Timer Interrupt Rate
STIR_MASK	equ	$004000
SCKP    	equ	15		; 15: SCI Clock Polarity
SCKP_MASK	equ	$008000
RXIE    	equ	16		; 16: Receive with Exception Int. Enable
RXIE_MASK	equ	$010000
					; 17: Reserved

; Masks for  SCI Status Register

TRNE    	equ	0		;  0: Transmitter Empty
TRNE_MASK	equ	$000001
TDRE    	equ	1		;  1: Transmit Data Register Empty
TDRE_MASK	equ	$000002
RDRF    	equ	2		;  2: Receive Data Register Full
RDRF_MASK	equ	$000004
IDLE    	equ	3		;  3: Idle Line
IDLE_MASK	equ	$000008
OR      	equ	4		;  4: Overrun Error
OR_MASK 	equ	$000010
PE      	equ	5		;  5: Parity Error
PE_MASK 	equ	$000020
FE      	equ	6		;  6: Framing Error
FE_MASK 	equ	$000040
R8      	equ	7		;  7: Received Bit 8
R8_MASK 	equ	$000080
					;  8: Reserved

; Masks for  SCI Clock Control Register

CD      	equ	0		;  0: Clock Divider
CD_MASK 	equ	$000fff
COD     	equ	12		; 12: Clock Out Divider
COD_MASK	equ	$001000
SCP     	equ	13		; 13: Clock Prescaler
SCP_MASK	equ	$002000
RCM     	equ	14		; 14: Receive Clock Mode Source
RCM_MASK	equ	$004000
TCM     	equ	15		; 15: Transmit Clock Source
TCM_MASK	equ	$008000
					; 16: Reserved

SCR     	equ	x:$FFFF9C		;  SCI Control Register
SCCR    	equ	x:$FFFF9B		;  SCI Clock Control Register
SRXH    	equ	x:$FFFF9A		;  SCI Receive Data Reg. Hi
SRXM    	equ	x:$FFFF99		;  SCI Receive Data Reg. Mid
SRXL    	equ	x:$FFFF98		;  SCI Receive Data Reg. Lo
STXH    	equ	x:$FFFF97		;  SCI Transmit Data Reg. H
STXM    	equ	x:$FFFF96		;  SCI Transmit Data Reg. M
STXL    	equ	x:$FFFF95		;  SCI Transmit Data Reg. L
STXA    	equ	x:$FFFF94		;  SCI Transmit Address Reg.
SSR     	equ	x:$FFFF93		;  SCI Status Register

; Masks for  Timer Prescaler Load Register

PPV     	equ	0		;  0: Prescaler Preload Value
PPV_MASK	equ	$1fffff
PCS     	equ	21		; 21: Prescaler Clock Source
PCS_MASK	equ	$600000
					; 23: Reserved

; Masks for  Timer Control/Status Register

TEN     	equ	0		;  0: Timer Enable
TEN_MASK	equ	$000001
TOIE    	equ	1		;  1: Timer Overflow Interrupt Enable
TOIE_MASK	equ	$000002
TCIE    	equ	2		;  2: Timer Compare Interrupt Enable
TCIE_MASK	equ	$000004
					;  3: Reserved
TCTRL   	equ	4		;  4: Timer Control
TCTRL_MASK	equ	$0000f0
TINV    	equ	8		;  8: Timer Inverter
TINV_MASK	equ	$000100
TRM     	equ	9		;  9: Timer Reload Mode
TRM_MASK	equ	$000200
					; 10: Reserved
TDIR    	equ	11		; 11: Timer Direction
TDIR_MASK	equ	$000800
TDI     	equ	12		; 12: Timer Data Input
TDI_MASK	equ	$001000
TDO     	equ	13		; 13: Timer Data Output
TDO_MASK	equ	$002000
					; 14: Reserved
TPCE    	equ	15		; 15: Timer Prescaler Clock Enable
TPCE_MASK	equ	$008000
					; 16: Reserved
TOF     	equ	20		; 20: Timer Overflow Flag
TOF_MASK	equ	$100000
TCF     	equ	21		; 21: Timer Compare Flag
TCF_MASK	equ	$200000
					; 22: Reserved

TCSR0   	equ	x:$FFFF8F		;  Timer 0 Control/Status
TLR0    	equ	x:$FFFF8E		;  Timer 0 Load Register
TCPR0   	equ	x:$FFFF8D		;  Timer 0 Compare Register
TCR0    	equ	x:$FFFF8C		;  Timer 0 Count Reg.
TCSR1   	equ	x:$FFFF8B		;  Timer 1 Control/Status
TLR1    	equ	x:$FFFF8A		;  Timer 1 Load Register
TCPR1   	equ	x:$FFFF89		;  Timer 1 Compare Register
TCR1    	equ	x:$FFFF88		;  Timer 1 Count Reg.
TCSR2   	equ	x:$FFFF87		;  Timer 2 Control/Status
TLR2    	equ	x:$FFFF86		;  Timer 2 Load Register
TCPR2   	equ	x:$FFFF85		;  Timer 2 Compare Register
TCR2    	equ	x:$FFFF84		;  Timer 2 Count Reg.
TPLR    	equ	x:$FFFF83		;  Timer Prescaler Load Reg.
TPCR    	equ	x:$FFFF82		;  Timer Prescaler Count

; Masks for  EFCOP Decimation/Channel Count Reg.

FCHL    	equ	0		;  0: Filter Channels Value
FCHL_MASK	equ	$00003f
					;  6: Reserved
FDCM    	equ	8		;  8: Filter Decimation Value
FDCM_MASK	equ	$000f00
					; 12: Reserved

; Masks for  EFCOP ALU Control Register

FSCL    	equ	0		;  0: Filter Scaling
FSCL_MASK	equ	$000003
FRM     	equ	2		;  2: Filter Rounding Mode
FRM_MASK	equ	$00000c
FSM     	equ	4		;  4: Filter Saturation Mode
FSM_MASK	equ	$000010
FSA     	equ	5		;  5: Filter 16-bit Arithmetic Mode
FSA_MASK	equ	$000020
FISL    	equ	6		;  6: Filter Input Scale
FISL_MASK	equ	$000040
					;  7: Reserved

; Masks for  EFCOP Control Status Register

FEN     	equ	0		;  0: Filter Enable
FEN_MASK	equ	$000001
FLT     	equ	1		;  1: Filter Type
FLT_MASK	equ	$000002
FADP    	equ	2		;  2: Filter Adaptive Mode
FADP_MASK	equ	$000004
FUPD    	equ	3		;  3: Filter Update
FUPD_MASK	equ	$000008
FOM     	equ	4		;  4: Filter Operation Mode
FOM_MASK	equ	$000030
FMLC    	equ	6		;  6: Filter Multichannel Mode
FMLC_MASK	equ	$000040
FPRC    	equ	7		;  7: Filter Processing State Init Mode
FPRC_MASK	equ	$000080
FSCO    	equ	8		;  8: Filter Shared Coefficients Mode
FSCO_MASK	equ	$000100
					;  9: Reserved
FDIIE   	equ	10		; 10: Filter Data Input Interrupt Enable
FDIIE_MASK	equ	$000400
FDOIE   	equ	11		; 11: Filter Data Output Interrupt Enable
FDOIE_MASK	equ	$000800
FSAT    	equ	12		; 12: Filter Saturation
FSAT_MASK	equ	$001000
FCONT   	equ	13		; 13: Filter Contention
FCONT_MASK	equ	$002000
FDIBE   	equ	14		; 14: Filter Data Input Buffer Empty
FDIBE_MASK	equ	$004000
FDOBF   	equ	15		; 15: Filter Data Output Buffer Full
FDOBF_MASK	equ	$008000
					; 16: Reserved

FDCH    	equ	y:$FFFFB8		;  EFCOP Decimation/Channel Reg
FCBA    	equ	y:$FFFFB7		;  EFCOP Coefficient Base Addr
FDBA    	equ	y:$FFFFB6		;  EFCOP Data Base Address
FACR    	equ	y:$FFFFB5		;  EFCOP ALU Control Reg.
FCSR    	equ	y:$FFFFB4		;  EFCOP Control Status Reg.
FCNT    	equ	y:$FFFFB3		;  EFCOP Filter Count Reg.
FKIR    	equ	y:$FFFFB2		;  EFCOP K-Constant Register
FDOR    	equ	y:$FFFFB1		;  EFCOP Data Output Reg.
FDIR    	equ	y:$FFFFB0		;  EFCOP Data Input Register

; Masks for  Interrupt Priority Register Core

IAL     	equ	0		;  0: IRQA Interrupt Priority Level
IAL_MASK	equ	$000003
IAT     	equ	2		;  2: IRQA Trigger mode
IAT_MASK	equ	$000004
IBL     	equ	3		;  3: IRQB Interrupt Priority Level
IBL_MASK	equ	$000018
IBT     	equ	5		;  5: IRQB Trigger mode
IBT_MASK	equ	$000020
ICL     	equ	6		;  6: IRQC Interrupt Priority Level
ICL_MASK	equ	$0000c0
ICT     	equ	8		;  8: IRQC Trigger mode
ICT_MASK	equ	$000100
IDL     	equ	9		;  9: IRQD Interrupt Priority Level
IDL_MASK	equ	$000600
IDT     	equ	11		; 11: IRQD Trigger mode
IDT_MASK	equ	$000800
D0L     	equ	12		; 12: DMA0 Interrupt Priority Level
D0L_MASK	equ	$003000
D1L     	equ	14		; 14: DMA1 Interrupt Priority Level
D1L_MASK	equ	$00c000
D2L     	equ	16		; 16: DMA2 Interrupt Priority Level
D2L_MASK	equ	$030000
D3L     	equ	18		; 18: DMA3 Interrupt Priority Level
D3L_MASK	equ	$0c0000
D4L     	equ	20		; 20: DMA4 Interrupt Priority Level
D4L_MASK	equ	$300000
D5L     	equ	22		; 22: DMA5 Interrupt Priority Level
D5L_MASK	equ	$c00000

; Masks for  Interrupt Priority Register Periph.

HPL     	equ	0		;	0: HI08	 Interrupt Priority Level
HPL_MASK	equ	$000003
S0L     	equ	2		;	2: ESSI0 Interrupt Priority Level
S0L_MASK	equ	$00000c
S1L     	equ	4		;	4: ESSI1 Interrupt Priority Level
S1L_MASK	equ	$000030
SCL     	equ	6		;	6: SCI	 Interrupt Priority Level
SCL_MASK	equ	$0000c0
T0L     	equ	8		;	8: Timer Interrupt Priority Level
T0L_MASK	equ	$000300
					; 10: Reserved

IPRC    	equ	x:$FFFFFF		;  Interrupt Priority Register Core
IPRP    	equ	x:$FFFFFE		;  Interrupt Priority Register Periph

	ENDIF	; !@DEF('SFR_DEFINED')

